lp:~ps-jenkins/grail/latestsnapshot

Created by PS Jenkins bot and last modified
Get this branch:
bzr branch lp:~ps-jenkins/grail/latestsnapshot
Only PS Jenkins bot can upload to this branch. If you are PS Jenkins bot please log in for upload directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
PS Jenkins bot
Project:
Grail
Status:
Merged

Recent revisions

254. By PS Jenkins bot on 2013-02-26

Releasing 3.1.0daily13.02.26-0ubuntu1, based on r253

253. By Stephen M. Webb on 2013-02-11

Bump the version to 3.1.0.

Approved by Christopher Townsend.

252. By PS Jenkins bot on 2012-12-07

Releasing 3.0.9daily12.12.07.1-0ubuntu1 to ubuntu.

Approved by .

251. By Daniel d'Andrada on 2012-12-06

Get rid of x11 specific code in grail implementation.

That way grail can be compiled with x11 dependencies and still process correctly frames that were generated via frame_backend.h instead of frame_x11.h.

Also use frame_backend.h instead of a frame mock in tests, which is a more realistic situation and also exercises the frame_backend.h API. It wouldn't be possible to do that if grail implementation still had frame_x11_* calls.

Approved by Stephen M. Webb.

250. By Colin Watson on 2012-12-06

Remove _CHECK_GTEST macro, and fix CHECK_GTEST to work correctly when cross-compiling. Fixes: https://bugs.launchpad.net/bugs/1087313.

Approved by Daniel d'Andrada.

249. By Daniel d'Andrada on 2012-12-04

Relicense under (L)GPL version 3 *only* (no +)

In accordance with Canonical's licensing policy.

Approved by .

248. By PS Jenkins bot on 2012-12-03

Releasing 3.0.9daily12.12.03-0ubuntu1 to ubuntu.

Approved by .

247. By Daniel d'Andrada on 2012-11-29

Release version 3.0.9

246. By Daniel d'Andrada on 2012-11-29

Make grail build without X11

Enable grail to build without x11 libraries or dependencies.

Approved by Neil J. Patel.

245. By Didier Roche on 2012-11-28

add bootstrap message.

Approved by Alan Pope.

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:grail
This branch contains Public information 
Everyone can see this information.

Subscribers